package cn.com.qmth.examcloud.core.oe.student.client;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.oe.student.api.ExamRecordDataCloudService;
import cn.com.qmth.examcloud.core.oe.student.api.request.GetExamRecordDataIdsReq;
import cn.com.qmth.examcloud.core.oe.student.api.request.UpdateExamRecordDataBatchNumReq;
import cn.com.qmth.examcloud.core.oe.student.api.response.GetExamRecordDataIdsResp;
import cn.com.qmth.examcloud.core.oe.student.api.response.UpdateExamRecordDataBatchNumResp;

@Service("examRecordDataCloudService")
public class ExamRecordDataCloudServiceClient extends AbstractCloudClientSupport
		implements
		ExamRecordDataCloudService {

    /**
     * 
     */
    private static final long serialVersionUID = 3745318048361113898L;

    @Override
    public GetExamRecordDataIdsResp getExamRecordDataIds(GetExamRecordDataIdsReq req) {
        return post("examRecordData/getExamRecordDataIds", req, GetExamRecordDataIdsResp.class);
    }

    @Override
    public UpdateExamRecordDataBatchNumResp updateExamRecordDataBatchNum(UpdateExamRecordDataBatchNumReq req) {
        return post("examRecordData/updateBatchNum", req, UpdateExamRecordDataBatchNumResp.class);
    }


}
